I ran into an obscure Could not link against ! error when configuring EncFS:

~/src$ apt-get source encfs
...
~/src$ cd encfs-1.7.4/
~/src/encfs-1.7.4$ ./configure 
...
configure: WARNING: BOOST_CPPFLAGS -I/usr/include
checking whether the Boost::Serialization library is available... yes
configure: error: Could not link against  !

That's odd. And not immediately obvious how to fix.

For starters we need all the dependencies that Debian defines:

~/src/encfs-1.7.4$ sed -e '/^Build-Depends: /!d;s/^[^:]*: //;s/([^)]*)//g;s/,//g' \
    debian/control
debhelper  librlog-dev librlog5 libfuse-dev  libssl-dev  pkg-config
libboost-serialization-dev libboost-filesystem-dev quilt dh-autoreconf

~/src/encfs-1.7.4$ sudo apt-get install `sed -e
    '/^Build-Depends: /!d;s/^[^:]*: //;s/([^)]*)//g;s/,//g' debian/control`
...

And then we need to supply the libboost directory explicitly:

~/src/encfs-1.7.4$ ./configure --with-boost-libdir=/usr/lib/x86_64-linux-gnu
...
configure: WARNING: BOOST_CPPFLAGS -I/usr/include
checking whether the Boost::Serialization library is available... yes
checking for exit in -lboost_serialization... yes
checking whether the Boost::Filesystem library is available... yes
...

Profit!

compile encfs error